/**
 * DocumentRoot2.java
 *
 * File generated from the medication2::DocumentRoot2 uml Class
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import java.util.ArrayList;
import java.util.List;

// End of user code
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlMixed;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.Document;
import org.w3c.dom.Node;

import net.ihe.gazelle.gen.common.ConstraintValidatorModule;


/**
 * Description of the class DocumentRoot2.
 *
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DocumentRoot", propOrder = {
	"mixed"
})
@XmlRootElement(name = "DocumentRoot2")
public class DocumentRoot2 implements java.io.Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	
	@XmlElementRefs({
			@XmlElementRef(name = "xmlns:prefix", type = JAXBElement.class),
			@XmlElementRef(name = "xsi:schemaLocation", type = JAXBElement.class),
			@XmlElementRef(name = "asContent", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "asDistributedProduct", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "asMedicineManufacturer", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "asSpecializedKind", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "desc", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "expirationTime", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "formCode", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "handlingCode", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "id", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "ingredient", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "medication", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "part", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "riskCode", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "stabilityTime", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "subjectOf1", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "subjectOf2", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "subjectOf3", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "subjectOf4", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "subjectOf5", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class)
		})
		@XmlMixed
	public List<java.io.Serializable> mixed;
	
	/**
	 * An attribute containing marshalled element node
	 */
	@XmlTransient
	private org.w3c.dom.Node _xmlNodePresentation;
	
	
	/**
	 * Return mixed.
	 * @return mixed
	 */
	public List<java.io.Serializable> getMixed() {
		if (mixed == null) {
	        mixed = new ArrayList<java.io.Serializable>();
	    }
	    return mixed;
	}
	
	/**
	 * Set a value to attribute mixed.
	 * @param mixed.
	 */
	public void setMixed(List<java.io.Serializable> mixed) {
	    this.mixed = mixed;
	}
	
	
	
	/**
	 * Add a mixed to the mixed collection.
	 * @param mixed_elt Element to add.
	 */
	public void addMixed(java.io.Serializable mixed_elt) {
	    this.getMixed().add(mixed_elt);
	}
	
	/**
	 * Remove a mixed to the mixed collection.
	 * @param mixed_elt Element to remove
	 */
	public void removeMixed(java.io.Serializable mixed_elt) {
	    this.getMixed().remove(mixed_elt);
	}
	
	/**
	 * Return xMLNSPrefixMap.
	 * @return xMLNSPrefixMap
	 */
	public List<String> getXMLNSPrefixMap() {
		List<String> xMLNSPrefixMap_el = new ArrayList<String>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("xmlns:prefix")){
					xMLNSPrefixMap_el.add( (String) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return xMLNSPrefixMap_el;
	}
	
	public void addXMLNSPrefixMap(String obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<String> jobj = of.createDocumentRoot2XMLNSPrefixMap(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return xSISchemaLocation.
	 * @return xSISchemaLocation
	 */
	public List<String> getXSISchemaLocation() {
		List<String> xSISchemaLocation_el = new ArrayList<String>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("xsi:schemaLocation")){
					xSISchemaLocation_el.add( (String) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return xSISchemaLocation_el;
	}
	
	public void addXSISchemaLocation(String obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<String> jobj = of.createDocumentRoot2XSISchemaLocation(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return asContent.
	 * @return asContent
	 */
	public net.ihe.gazelle.medication2.COCTMT230100UVContent2 getAsContent() {
		net.ihe.gazelle.medication2.COCTMT230100UVContent2 asContent_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("asContent")){
					asContent_el = (net.ihe.gazelle.medication2.COCTMT230100UVContent2) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return asContent_el;
				}
			}
		} 

	    return asContent_el;
	}
	
	public void addAsContent(net.ihe.gazelle.medication2.COCTMT230100UVContent2 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.COCTMT230100UVContent2> jobj = of.createDocumentRoot2AsContent(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return asDistributedProduct.
	 * @return asDistributedProduct
	 */
	public net.ihe.gazelle.medication2.COCTMT230100UVDistributedProduct2 getAsDistributedProduct() {
		net.ihe.gazelle.medication2.COCTMT230100UVDistributedProduct2 asDistributedProduct_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("asDistributedProduct")){
					asDistributedProduct_el = (net.ihe.gazelle.medication2.COCTMT230100UVDistributedProduct2) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return asDistributedProduct_el;
				}
			}
		} 

	    return asDistributedProduct_el;
	}
	
	public void addAsDistributedProduct(net.ihe.gazelle.medication2.COCTMT230100UVDistributedProduct2 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.COCTMT230100UVDistributedProduct2> jobj = of.createDocumentRoot2AsDistributedProduct(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return asMedicineManufacturer.
	 * @return asMedicineManufacturer
	 */
	public net.ihe.gazelle.medication2.COCTMT230100UVMedicineManufacturer2 getAsMedicineManufacturer() {
		net.ihe.gazelle.medication2.COCTMT230100UVMedicineManufacturer2 asMedicineManufacturer_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("asMedicineManufacturer")){
					asMedicineManufacturer_el = (net.ihe.gazelle.medication2.COCTMT230100UVMedicineManufacturer2) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return asMedicineManufacturer_el;
				}
			}
		} 

	    return asMedicineManufacturer_el;
	}
	
	public void addAsMedicineManufacturer(net.ihe.gazelle.medication2.COCTMT230100UVMedicineManufacturer2 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.COCTMT230100UVMedicineManufacturer2> jobj = of.createDocumentRoot2AsMedicineManufacturer(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return asSpecializedKind.
	 * @return asSpecializedKind
	 */
	public net.ihe.gazelle.medication2.COCTMT230100UVSpecializedKind2 getAsSpecializedKind() {
		net.ihe.gazelle.medication2.COCTMT230100UVSpecializedKind2 asSpecializedKind_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("asSpecializedKind")){
					asSpecializedKind_el = (net.ihe.gazelle.medication2.COCTMT230100UVSpecializedKind2) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return asSpecializedKind_el;
				}
			}
		} 

	    return asSpecializedKind_el;
	}
	
	public void addAsSpecializedKind(net.ihe.gazelle.medication2.COCTMT230100UVSpecializedKind2 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.COCTMT230100UVSpecializedKind2> jobj = of.createDocumentRoot2AsSpecializedKind(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return desc.
	 * @return desc
	 */
	public net.ihe.gazelle.medication2.ED2 getDesc() {
		net.ihe.gazelle.medication2.ED2 desc_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("desc")){
					desc_el = (net.ihe.gazelle.medication2.ED2) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return desc_el;
				}
			}
		} 

	    return desc_el;
	}
	
	public void addDesc(net.ihe.gazelle.medication2.ED2 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.ED2> jobj = of.createDocumentRoot2Desc(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return expirationTime.
	 * @return expirationTime
	 */
	public net.ihe.gazelle.medication2.IVLTS2 getExpirationTime() {
		net.ihe.gazelle.medication2.IVLTS2 expirationTime_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("expirationTime")){
					expirationTime_el = (net.ihe.gazelle.medication2.IVLTS2) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return expirationTime_el;
				}
			}
		} 

	    return expirationTime_el;
	}
	
	public void addExpirationTime(net.ihe.gazelle.medication2.IVLTS2 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.IVLTS2> jobj = of.createDocumentRoot2ExpirationTime(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return formCode.
	 * @return formCode
	 */
	public net.ihe.gazelle.medication2.CE2 getFormCode() {
		net.ihe.gazelle.medication2.CE2 formCode_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("formCode")){
					formCode_el = (net.ihe.gazelle.medication2.CE2) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return formCode_el;
				}
			}
		} 

	    return formCode_el;
	}
	
	public void addFormCode(net.ihe.gazelle.medication2.CE2 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.CE2> jobj = of.createDocumentRoot2FormCode(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return handlingCode.
	 * @return handlingCode
	 */
	public net.ihe.gazelle.medication2.CE2 getHandlingCode() {
		net.ihe.gazelle.medication2.CE2 handlingCode_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("handlingCode")){
					handlingCode_el = (net.ihe.gazelle.medication2.CE2) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return handlingCode_el;
				}
			}
		} 

	    return handlingCode_el;
	}
	
	public void addHandlingCode(net.ihe.gazelle.medication2.CE2 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.CE2> jobj = of.createDocumentRoot2HandlingCode(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return id.
	 * @return id
	 */
	public net.ihe.gazelle.medication2.II2 getId() {
		net.ihe.gazelle.medication2.II2 id_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("id")){
					id_el = (net.ihe.gazelle.medication2.II2) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return id_el;
				}
			}
		} 

	    return id_el;
	}
	
	public void addId(net.ihe.gazelle.medication2.II2 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.II2> jobj = of.createDocumentRoot2Id(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return ingredient.
	 * @return ingredient
	 */
	public net.ihe.gazelle.medication2.COCTMT230100UVIngredient2 getIngredient() {
		net.ihe.gazelle.medication2.COCTMT230100UVIngredient2 ingredient_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("ingredient")){
					ingredient_el = (net.ihe.gazelle.medication2.COCTMT230100UVIngredient2) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return ingredient_el;
				}
			}
		} 

	    return ingredient_el;
	}
	
	public void addIngredient(net.ihe.gazelle.medication2.COCTMT230100UVIngredient2 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.COCTMT230100UVIngredient2> jobj = of.createDocumentRoot2Ingredient(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return medication.
	 * @return medication
	 */
	public net.ihe.gazelle.medication2.COCTMT230100UVMedication2 getMedication() {
		net.ihe.gazelle.medication2.COCTMT230100UVMedication2 medication_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("medication")){
					medication_el = (net.ihe.gazelle.medication2.COCTMT230100UVMedication2) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return medication_el;
				}
			}
		} 

	    return medication_el;
	}
	
	public void addMedication(net.ihe.gazelle.medication2.COCTMT230100UVMedication2 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.COCTMT230100UVMedication2> jobj = of.createDocumentRoot2Medication(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return part.
	 * @return part
	 */
	public net.ihe.gazelle.medication2.COCTMT230100UVPart2 getPart() {
		net.ihe.gazelle.medication2.COCTMT230100UVPart2 part_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("part")){
					part_el = (net.ihe.gazelle.medication2.COCTMT230100UVPart2) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return part_el;
				}
			}
		} 

	    return part_el;
	}
	
	public void addPart(net.ihe.gazelle.medication2.COCTMT230100UVPart2 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.COCTMT230100UVPart2> jobj = of.createDocumentRoot2Part(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return riskCode.
	 * @return riskCode
	 */
	public net.ihe.gazelle.medication2.CE2 getRiskCode() {
		net.ihe.gazelle.medication2.CE2 riskCode_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("riskCode")){
					riskCode_el = (net.ihe.gazelle.medication2.CE2) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return riskCode_el;
				}
			}
		} 

	    return riskCode_el;
	}
	
	public void addRiskCode(net.ihe.gazelle.medication2.CE2 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.CE2> jobj = of.createDocumentRoot2RiskCode(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return stabilityTime.
	 * @return stabilityTime
	 */
	public net.ihe.gazelle.medication2.IVLTS2 getStabilityTime() {
		net.ihe.gazelle.medication2.IVLTS2 stabilityTime_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("stabilityTime")){
					stabilityTime_el = (net.ihe.gazelle.medication2.IVLTS2) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return stabilityTime_el;
				}
			}
		} 

	    return stabilityTime_el;
	}
	
	public void addStabilityTime(net.ihe.gazelle.medication2.IVLTS2 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.IVLTS2> jobj = of.createDocumentRoot2StabilityTime(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return subjectOf1.
	 * @return subjectOf1
	 */
	public net.ihe.gazelle.medication2.COCTMT230100UVSubject222 getSubjectOf1() {
		net.ihe.gazelle.medication2.COCTMT230100UVSubject222 subjectOf1_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("subjectOf1")){
					subjectOf1_el = (net.ihe.gazelle.medication2.COCTMT230100UVSubject222) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return subjectOf1_el;
				}
			}
		} 

	    return subjectOf1_el;
	}
	
	public void addSubjectOf1(net.ihe.gazelle.medication2.COCTMT230100UVSubject222 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.COCTMT230100UVSubject222> jobj = of.createDocumentRoot2SubjectOf1(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return subjectOf2.
	 * @return subjectOf2
	 */
	public net.ihe.gazelle.medication2.COCTMT230100UVSubject12 getSubjectOf2() {
		net.ihe.gazelle.medication2.COCTMT230100UVSubject12 subjectOf2_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("subjectOf2")){
					subjectOf2_el = (net.ihe.gazelle.medication2.COCTMT230100UVSubject12) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return subjectOf2_el;
				}
			}
		} 

	    return subjectOf2_el;
	}
	
	public void addSubjectOf2(net.ihe.gazelle.medication2.COCTMT230100UVSubject12 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.COCTMT230100UVSubject12> jobj = of.createDocumentRoot2SubjectOf2(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return subjectOf3.
	 * @return subjectOf3
	 */
	public net.ihe.gazelle.medication2.COCTMT230100UVSubject222 getSubjectOf3() {
		net.ihe.gazelle.medication2.COCTMT230100UVSubject222 subjectOf3_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("subjectOf3")){
					subjectOf3_el = (net.ihe.gazelle.medication2.COCTMT230100UVSubject222) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return subjectOf3_el;
				}
			}
		} 

	    return subjectOf3_el;
	}
	
	public void addSubjectOf3(net.ihe.gazelle.medication2.COCTMT230100UVSubject222 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.COCTMT230100UVSubject222> jobj = of.createDocumentRoot2SubjectOf3(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return subjectOf4.
	 * @return subjectOf4
	 */
	public net.ihe.gazelle.medication2.COCTMT230100UVSubject32 getSubjectOf4() {
		net.ihe.gazelle.medication2.COCTMT230100UVSubject32 subjectOf4_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("subjectOf4")){
					subjectOf4_el = (net.ihe.gazelle.medication2.COCTMT230100UVSubject32) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return subjectOf4_el;
				}
			}
		} 

	    return subjectOf4_el;
	}
	
	public void addSubjectOf4(net.ihe.gazelle.medication2.COCTMT230100UVSubject32 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.COCTMT230100UVSubject32> jobj = of.createDocumentRoot2SubjectOf4(obj);
		this.getMixed().add(jobj);
	}
	
	/**
	 * Return subjectOf5.
	 * @return subjectOf5
	 */
	public net.ihe.gazelle.medication2.COCTMT230100UVSubject72 getSubjectOf5() {
		net.ihe.gazelle.medication2.COCTMT230100UVSubject72 subjectOf5_el = null;
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("subjectOf5")){
					subjectOf5_el = (net.ihe.gazelle.medication2.COCTMT230100UVSubject72) ((javax.xml.bind.JAXBElement<?>)obj).getValue();
					return subjectOf5_el;
				}
			}
		} 

	    return subjectOf5_el;
	}
	
	public void addSubjectOf5(net.ihe.gazelle.medication2.COCTMT230100UVSubject72 obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication2.COCTMT230100UVSubject72> jobj = of.createDocumentRoot2SubjectOf5(obj);
		this.getMixed().add(jobj);
	}
	
	
	public Node get_xmlNodePresentation() {
		if (_xmlNodePresentation == null){
				JAXBContext jc;
				DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
				dbf.setNamespaceAware(true);
				DocumentBuilder db = null;
				Document doc = null;
				try {
					db = dbf.newDocumentBuilder();
					doc = db.newDocument();
				} catch (ParserConfigurationException e1) {}
				try {
					jc = JAXBContext.newInstance("net.ihe.gazelle.medication2");
					Marshaller m = jc.createMarshaller();
					m.marshal(this, doc);
					_xmlNodePresentation = doc.getElementsByTagNameNS("urn:epsos-org:ep:medication", "DocumentRoot2").item(0);
				} catch (JAXBException e) {
					try{
						db = dbf.newDocumentBuilder();
						_xmlNodePresentation = db.newDocument();
					}
					catch(Exception ee){}
				}
			}
			return _xmlNodePresentation;
	}
	
	public void set_xmlNodePresentation(Node _xmlNodePresentation) {
		this._xmlNodePresentation = _xmlNodePresentation;
	}
	
	
	public List<String> getListStringValues(){
		List<String> res = new ArrayList<String>();
		for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof String){
				res.add((String)obj);
			}
		} 
		return res;
	}
	

	
	/**
     * validate by a module of validation
     * 
     */
   public static void validateByModule(DocumentRoot2 documentRoot2, String _location, ConstraintValidatorModule cvm, List<net.ihe.gazelle.validation.Notification> diagnostic){
   		if (documentRoot2 != null){
   			cvm.validate(documentRoot2, _location, diagnostic);
			net.ihe.gazelle.medication2.COCTMT230100UVContent2.validateByModule(documentRoot2.getAsContent(), _location + "/asContent", cvm, diagnostic);
			net.ihe.gazelle.medication2.COCTMT230100UVDistributedProduct2.validateByModule(documentRoot2.getAsDistributedProduct(), _location + "/asDistributedProduct", cvm, diagnostic);
			net.ihe.gazelle.medication2.COCTMT230100UVMedicineManufacturer2.validateByModule(documentRoot2.getAsMedicineManufacturer(), _location + "/asMedicineManufacturer", cvm, diagnostic);
			net.ihe.gazelle.medication2.COCTMT230100UVSpecializedKind2.validateByModule(documentRoot2.getAsSpecializedKind(), _location + "/asSpecializedKind", cvm, diagnostic);
			net.ihe.gazelle.medication2.ED2.validateByModule(documentRoot2.getDesc(), _location + "/desc", cvm, diagnostic);
			net.ihe.gazelle.medication2.IVLTS2.validateByModule(documentRoot2.getExpirationTime(), _location + "/expirationTime", cvm, diagnostic);
			net.ihe.gazelle.medication2.CE2.validateByModule(documentRoot2.getFormCode(), _location + "/formCode", cvm, diagnostic);
			net.ihe.gazelle.medication2.CE2.validateByModule(documentRoot2.getHandlingCode(), _location + "/handlingCode", cvm, diagnostic);
			net.ihe.gazelle.medication2.II2.validateByModule(documentRoot2.getId(), _location + "/id", cvm, diagnostic);
			net.ihe.gazelle.medication2.COCTMT230100UVIngredient2.validateByModule(documentRoot2.getIngredient(), _location + "/ingredient", cvm, diagnostic);
			net.ihe.gazelle.medication2.COCTMT230100UVMedication2.validateByModule(documentRoot2.getMedication(), _location + "/medication", cvm, diagnostic);
			net.ihe.gazelle.medication2.COCTMT230100UVPart2.validateByModule(documentRoot2.getPart(), _location + "/part", cvm, diagnostic);
			net.ihe.gazelle.medication2.CE2.validateByModule(documentRoot2.getRiskCode(), _location + "/riskCode", cvm, diagnostic);
			net.ihe.gazelle.medication2.IVLTS2.validateByModule(documentRoot2.getStabilityTime(), _location + "/stabilityTime", cvm, diagnostic);
			net.ihe.gazelle.medication2.COCTMT230100UVSubject222.validateByModule(documentRoot2.getSubjectOf1(), _location + "/subjectOf1", cvm, diagnostic);
			net.ihe.gazelle.medication2.COCTMT230100UVSubject12.validateByModule(documentRoot2.getSubjectOf2(), _location + "/subjectOf2", cvm, diagnostic);
			net.ihe.gazelle.medication2.COCTMT230100UVSubject222.validateByModule(documentRoot2.getSubjectOf3(), _location + "/subjectOf3", cvm, diagnostic);
			net.ihe.gazelle.medication2.COCTMT230100UVSubject32.validateByModule(documentRoot2.getSubjectOf4(), _location + "/subjectOf4", cvm, diagnostic);
			net.ihe.gazelle.medication2.COCTMT230100UVSubject72.validateByModule(documentRoot2.getSubjectOf5(), _location + "/subjectOf5", cvm, diagnostic);
    	}
    }

}
